import { AgoraAppStore } from "any-hooks/types/agora";
import { useInjector } from "vue-vulcan";
import { AGORA_APP_STORE } from "./token";

/** 基于声网sdk封装，由于多平台特性，请在根组件通过useProvider和对应平台的SDK提供agora Client对象以及相关appid; */
export function useAgoraClient() {
  const { appid, client } = useInjector<AgoraAppStore>(AGORA_APP_STORE);

  return {
    appid,
    client
  }
}